[gupnp-vala] Use same autogen.sh as rygel
- From: Zeeshan Ali Khattak <zeeshanak src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gupnp-vala] Use same autogen.sh as rygel
- Date: Tue, 14 Jun 2011 20:36:43 +0000 (UTC)
commit 9b2eb77ca44a9cc2bd643d77deec3d765e2274d9
Author: Zeeshan Ali (Khattak) <zeeshanak gnome org>
Date: Tue Jun 14 23:35:18 2011 +0300
Use same autogen.sh as rygel
autogen.sh | 51 ++++++++-------------------------------------------
1 files changed, 8 insertions(+), 43 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 8b54a19..66d580a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,48 +1,13 @@
#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-DIE=0
-
-PACKAGE=gupnp-vala
-
-echo "Generating configuration files for $PACKAGE, please wait..."
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PACKAGE."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME git"
+ exit 1
}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PACKAGE."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-[ $DIE -eq 1 ] && exit 1;
-
-echo " aclocal $ACLOCAL_FLAGS"
-aclocal $ACLOCAL_FLAGS
-echo " autoheader"
-autoheader
-echo " automake --add-missing"
-automake --add-missing --copy
-echo " autoconf"
-autoconf
+mkdir -p m4
-if [ -x config.status -a -z "$*" ]; then
- ./config.status --recheck
-else
- if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish"
- echo "to pass any to it, please specify them on the $0 command line."
- echo "If you do not wish to run ./configure, press Ctrl-C now."
- trap 'echo "configure aborted" ; exit 0' 1 2 15
- sleep 1
- fi
- ./configure "$@";
-fi
+# require automak 1.11 for vala support
+REQUIRED_AUTOMAKE_VERSION=1.11 \
+REQUIRED_AUTOCONF_VERSION=2.64 \
+gnome-autogen.sh "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]